For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GET Get All Inventory Levels
      • GET Get Inventory Levels
      • GET Get Inventory
      • GET Get All Inventories
    • OpenAPI spec
LogoLogo
API ReferenceInventory

Get All Inventories

||View as Markdown|
GET
/2025-07/inventory
GET
/2025-07/inventory
$curl https://api.shipbob.com/2025-07/inventory \
> -H "Authorization: Bearer <token>"
1{
2 "first": "string",
3 "items": [
4 {
5 "barcode": "string",
6 "dimensions": {
7 "height": 0.1,
8 "is_locked": true,
9 "length": 0.1,
10 "unit": "string",
11 "validated": true,
12 "width": 0.1
13 },
14 "inventory_id": 0,
15 "is_case": true,
16 "is_lot": true,
17 "name": "string",
18 "sku": "string",
19 "user_id": 0,
20 "variant": {
21 "hazmat": {
22 "is_hazmat": true,
23 "validated": true
24 },
25 "is_active": true,
26 "is_bundle": true,
27 "is_digital": true
28 },
29 "weight": {
30 "unit": "string",
31 "value": 0.1
32 }
33 }
34 ],
35 "last": "string",
36 "next": "string",
37 "prev": "string"
38}
Was this page helpful?
Previous

Get Inventory

Next

Get All Inventory Levels Grouped By Fulfillment Center

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Query parameters

SearchBystringOptional
FilterOperationsstringOptional
InventoryIdsstringOptional
IsActivebooleanOptional
IsDigitalbooleanOptional
PageSizestringOptionalformat: "int32"
SortBystringOptional

Response

OK
firststring or null
itemslist of objects or null
laststring or null
nextstring or null
prevstring or null

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error
503
Service Unavailable Error